Create a Dashboard
Create a new dashboard within a dashboard service
POST
POST /v1/dashboards
Create a Dashboard
Create a new dashboard within a dashboard service.Body Parameters
POST /v1/dashboards
Returns
Returns the created dashboard object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/dashboards instead of POST to perform an upsert. If a dashboard with the same fullyQualifiedName already exists, it will be updated; otherwise, a new dashboard is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.Bulk Create or Update (PUT)
UsePUT /v1/dashboards/bulk to create or update multiple dashboards in a single request. The request body is an array of create request objects.